%define upstream_name    Unicode-Stringprep
%define upstream_version 1.105

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Prepare Internationalized Strings (RFC 3454)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Unicode::Normalize) >= 1.0.0
BuildArch:  noarch

%{?perl_default_filter}

%description
This module implements the _stringprep_ framework for preparing Unicode
text strings in order to increase the likelihood that string input and
string comparison work in ways that make sense for typical users throughout
the world. The _stringprep_ protocol is useful for protocol identifier
values, company and personal names, internationalized domain names, and
other text strings.

The _stringprep_ framework does not specify how protocols should prepare
text strings. Protocols must create profiles of stringprep in order to
fully specify the processing options.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE eg
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.105.0-10.mga9
+ Revision: 1810925
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.105.0-9.mga8
+ Revision: 1519161
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Oct 04 2018 tv <tv> 1.105.0-8.mga7
+ Revision: 1317474
- use plain ascii for summary
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.105.0-6.mga6
+ Revision: 1035485
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.105.0-5.mga6
+ Revision: 940664
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.105.0-4.mga5
+ Revision: 745449
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.105.0-3.mga5
+ Revision: 732588
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.105.0-2.mga5
+ Revision: 686798
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 1.105.0-1.mga5
+ Revision: 671897
- update to 1.105

* Fri Oct 18 2013 umeabot <umeabot> 1.104.0-3.mga4
+ Revision: 515865
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.104.0-2.mga3
+ Revision: 374619
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 1.104.0-1.mga2
+ Revision: 179932
- update to 1.104

* Wed Jun 15 2011 jquelin <jquelin> 1.103.0-1.mga2
+ Revision: 107828
- imported package perl-Unicode-Stringprep


* Wed Jun 15 2011 cpan2dist 1.103-1mga
- initial mageia release, generated with cpan2dist
